//
//  FontPlistGenerator.swift
//  
//
//  Created by Thibaut Schmitt on 29/08/2022.
//

import Foundation

class FontPlistGenerator {
    static func generatePlistUIAppsFontContent(for fonts: [FontName]) -> String {
        var plistData = "<key>UIAppFonts</key>\n\t<array>\n"
        fonts
            .compactMap { $0 }
            .forEach {
                plistData += "\t\t<string>\($0)</string>\n"
            }
        plistData += "\t</array>"
        
        return plistData
    }
}
